## org.gnu.pango
Class Language

    java.lang.Object
      org.gnu.glib.Boxed
          org.gnu.pango.Language

public class Language
extends Boxed

The PangoLanguage structure is used to represent a language.

Field Summary

Fields inherited from class org.gnu.glib.Boxed
`handle`

Constructor Summary
`Language(Handle handle)` Constructs a new language object from handle to native resources.
`Language(java.lang.String lang)` Take a RFC-3066 format language tag as a string and convert it to a PangoLanguage pointer.

Method Summary
`protected static Handle` `pango_language_from_string(java.lang.String language)`
`protected static int` `pango_language_get_type()` BEGINNING OF GENERATED CODE
`protected static boolean` `pango_language_matches(Handle language, java.lang.String rangeList)`
`protected static java.lang.String` `pango_language_to_string(Handle language)`
`java.lang.String` `toString()` Returns a RFC-3066 format string representing the given language tag.

Methods inherited from class org.gnu.glib.Boxed
`equals, getHandle, hashCode, setHandle`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Language

    public Language(java.lang.String lang)

  Take a RFC-3066 format language tag as a string and convert it to a PangoLanguage pointer.

  This function first canonicalizes the string by converting it to lowercase, mapping '_' to '-', and stripping all characters other than letters and '-'.

### Language

    public Language(Handle handle)

  Constructs a new language object from handle to native resources. This should only be used internally by the java-gnome packages.

Method Detail

### toString

    public java.lang.String toString()

  Returns a RFC-3066 format string representing the given language tag.

### pango_language_get_type

    protected static final int pango_language_get_type()

  BEGINNING OF GENERATED CODE

### pango_language_from_string

    protected static final Handle pango_language_from_string(java.lang.String language)

### pango_language_to_string

    protected static final java.lang.String pango_language_to_string(Handle language)

### pango_language_matches

    protected static final boolean pango_language_matches(Handle language,
                                                          java.lang.String rangeList)